Name:       crow-translate
Version:    2.6.0
Release:    1%{?dist}
Summary:    A simple and lightweight translator
License:    GPL-3.0-only
URL:        https://crow-translate.github.io/
Source:     https://github.com/crow-translate/%{name}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz

Patch0:     crow-translate-%{version}_make_static_libs.patch

BuildRequires: cmake
BuildRequires: cmake-rpm-macros
BuildRequires: extra-cmake-modules
BuildRequires: gcc-c++
BuildRequires: git
BuildRequires: hicolor-icon-theme
BuildRequires: qt5-linguist
BuildRequires: qt5-qtbase-devel
BuildRequires: qt5-qtmultimedia-devel
BuildRequires: qt5-qtx11extras-devel
BuildRequires: tesseract-devel

Recommends: gstreamer-plugins-good

%description
A simple and lightweight translator that allows to translate and speak
text using Google, Yandex and Bing written with Qt5.

%prep
%setup -q
%cmake
test -d %{_vpath_builddir} && (
pushd %{_vpath_builddir}
%patch0 -p1
popd
) || (
%patch0 -p1
)

%build
%cmake_build

%install
%cmake_install

%files
%license COPYING
%doc README.md
%{_bindir}/crow
%{_datadir}/icons/hicolor/*
%{_datadir}/Crow*Translate/*/translations/*
%{_datadir}/applications/io.crow_translate.CrowTranslate.desktop

%changelog
* Sat Oct 24 2020 Yury Martynov <email@linxon.ru> 2.6.0-1
- Bump to 2.6.0 version.
* Fri Oct 09 2020 Yury Martynov <email@linxon.ru> 2.5.1-1
- Initial packaging.